# Alias_TypeCode_Static.h File Reference

`#include "tao/AnyTypeCode/TypeCode.h"`
`#include "tao/AnyTypeCode/TypeCode_Base_Attributes.h"`
`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.inl"`

Include dependency graph for Alias_TypeCode_Static.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy >

## Detailed Description

Id
  Alias_TypeCode_Static.h,v 1.4 2005/11/03 17:38:44 ossama Exp

Header file for a static `tk_alias` and `tk_value_box` `CORBA::TypeCode`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>